## RBShellClipboard RBShellClipboard — cut and paste handling |

## Functions

RBShellClipboard * | rb_shell_clipboard_new ()
void | rb_shell_clipboard_set_source ()

## Properties

RhythmDB * | db | Read / Write / Construct Only
RBPlaylistSource * | queue-source | Read / Write
RBSource * | source | Read / Write

## Types and Values

struct | RBShellClipboard
struct | RBShellClipboardClass

## Object Hierarchy

        GObject
        ╰── RBShellClipboard

## Description

The clipboard is primarily responsible for handling cut and paste actions, as well as various other actions that relate to a selected set of entries from a source, such as move to trash, delete, and add to playlist.

It updates the sensitivity of the various actions it handles when the selected source changes, and when the track list selection changes. The actual action handlers are fairly simple, mostly calling RBSource methods.

For the 'add to playlist' action, the clipboard builds a menu containing the available playlists that entries can be added to from the current selected source.

## Functions

### rb_shell_clipboard_new ()

    RBShellClipboard *
    rb_shell_clipboard_new (RhythmDB *db);

Creates the RBShellClipboard instance

#### Parameters

db | the RhythmDB instance |

#### Returns

the RBShellClipboard

### rb_shell_clipboard_set_source ()

    void
    rb_shell_clipboard_set_source (RBShellClipboard *clipboard,
                                   RBSource *source);

Updates the clipboard to reflect a newly selected source.

#### Parameters

clipboard | the RBShellClipboard |
source | the new selected RBSource |

## Types and Values

### struct RBShellClipboard

    struct RBShellClipboard;

### struct RBShellClipboardClass

    struct RBShellClipboardClass {
    	GObjectClass parent_class;
    };

## Property Details

### The `“db”` property

      “db”                       RhythmDB *

RhythmDB database.

Flags: Read / Write / Construct Only

### The `“queue-source”` property

      “queue-source”             RBPlaylistSource *

RBPlaylistSource object.

Flags: Read / Write

### The `“source”` property

      “source”                   RBSource *

RBSource object.

Flags: Read / Write